* {
    box-sizing: border-box;
}
*:before,
*:after {
    box-sizing: border-box;
}

#footer {
    position: absolute;
    bottom: 0;
    width: 100%;
}

html,
body {
    height: 100%;
    position: relative;
}

.main-container {
    min-height: 100vh; /* will cover the 100% of viewport */
    overflow: hidden;
    display: block;
    position: relative;
    padding-bottom: 100px; /* height of your footer */
}

body{
    font-family:"Helvetica Neue",Helvetica,Arial,sans-serif;
    font-size:14px;
    line-height:1.42857143;
    color:#333;
    background-color:#fff;
}

#ulist {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
}

.list {
    float: left;
}

.list .alink {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

.contentTable {
    width: 100%;
    border-collapse: collapse;
    margin-left: auto;
    margin-right:auto;
    max-width: 100%;
    white-space:nowrap;
}

#t11 {
    border:none;
    border-collapse: collapse;
}

#t11 td, #t11 th{
    border-right: 1px solid #000;
}

#t11 td:last-child, #t11 th:last-child{
    border-right: none;
}

.list .alink:hover {
    background-color: #4CAF50;
}
#login {
    float: right;
}


span {
    display: inline-flex;
    align-items: center;
}

h1{
    text-align: center;
}

.divbtn {
    text-align: center;
}

button {
    background-color: #4CAF50;
    color: white;
    padding: 14px 20px;
    margin: 8px 0;
    border: none;
    cursor: pointer;
}

#logout{
    background-color: #FF3232;
}

button:hover {
    opacity: 0.8;
}

.imgcontainer {
    text-align: center;
    margin: 24px 0 12px 0;
}

img.avatar {
    width: 15%;
    border-radius: 50%;
}

#keytable tr td:nth-child(5){
    cursor: pointer;
}

#spanImg {
    margin-right: 5px;
}

.container {
    padding: 16px;
    display: block;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #333;
}

li {
    float: left;
}

li a {
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
}

li a:hover {
    background-color: #4CAF50;
}

input[type=text], input[type=password] {
    padding: 12px 20px;
    margin: 8px 0;
    display: inline-block;
    border: 1px solid #ccc;
    box-sizing: border-box;
}

th, td {
    padding-left: 10px;
    padding-right: 10px;
    text-align: center;
    width: fit-content;
    border-bottom: 1px solid #ddd;
}

tr:hover {
    background-color:#f5f5f5;
}










* {
    box-sizing: border-box;
}
section {
    position: relative;
}
.btn-pluss {
    overflow: hidden;
    position: fixed;
    display: block;
    padding-left: 5px;
    padding-right: 5px;
    width: 30px;
    margin: 0 auto;
    background-color: white;
    transition: width 0.3s 0.5s ease, border-radius 1.1s ease;
}
.btn-pluss:after {
    content: 'Y';
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    height: 22px;
    width: 22px;
    border-radius: 100%;
    line-height: 22px;
    text-align: center;
    font-size: 1.1rem;
    background-color: #4CAF50;
    color: white;
    transform: translateY(-50%) translateX(-50%);
    transition: all 0.3s 0.5s ease;
    cursor: hand;
}
.btn-pluss ul {
    opacity: 0;
}
.btn-pluss ul {
    margin-top: 15px;
    opacity: 0;
    width: 100%;
    margin-left: 0px;
    transition: all 0.5s ease;
    text-align: center;
    font-size: 0.9rem;
    background-color: #fff;
}
.btn-pluss ul li {
    background-color: #fff;
    margin-top: 5px;
    width: 100%;
    border: 1px solid #fff;
    height: 0px;
    overflow: hidden;
    transition: height 1s ease;
}
.btn-pluss-wrapper:hover .btn-pluss {
    border: 1px solid black;
    min-width: 550px;
    width: 40%;
    padding-bottom: 5px;
    transition: width 0.3s ease, border-radius 0.3s ease, padding-bottom 0.3s ease;
}
.btn-pluss-wrapper:hover .btn-pluss::after {
    content: 'Filtro';
    transition: all 0.3s ease;
    left: 50%;
    top: 10px;
    transform: translateY(-5px) translateX(-50%);
    display: block;
    height: 22px;
    width: 66px;
    line-height: 22px;
    font-size: 1.1rem;
    background-color: #4CAF50;
    color: white;
    cursor: hand;
}
.btn-pluss-wrapper:hover .btn-pluss ul {
    opacity: 1;
    margin-top: 30px;
    transition: all 1s ease;
}
.btn-pluss-wrapper:hover .btn-pluss li {
    height: 25px;
    transition: height 1s ease;
}
@keyframes jump {
    0% {
        transform: translateY(3px);
   }
    50% {
        transform: translateY(-15px);
   }
    100% {
        transform: translateY(3px);
   }
}